CLEAR ALL
BITMAP 1 LOAD "Floyd3.bmp"
x=RANGE(0,1279)
y=RANGE(0,799)
xs=RANGE(8,24)
ys=RANGE(8,24)
SPRITE 1 BIND BITMAP 1
SPRITE 1 SHOW
SPRITE 1 MOVE x,y
DO
    x=x+xs
    y=y+ys
    IF x<0 OR x>=1280 THEN xs=-xs
    IF y<0 OR y>=800 THEN ys=-ys
    SPRITE 1 MOVE x,y
    PAUSE
LOOP WHILE INKEY$=""
